PERSONALITY(2)

NAME
personality - set the process execution domain

SYNOPSIS
int personality(unsigned long persona);

DESCRIPTION
Linux supports different execution domains, or personalities, for each process. Among other things, execution domains tell Linux how to map signal numbers into signal actions. The execution domain system allows Linux to provide limited support for binaries compiled under other Unix-like operating systems. personality will make the execution domain referenced by persona the new execution domain of the current process.

RETURN VALUE
On success, persona is made the new execution domain and the previous persona is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EINVAL
    persona does not refer to a valid execution domain.

FILES
/usr/include/linux/personality.h

CONFORMING TO
personality is Linux-specific and should not be used in programs intended to be portable.